# BARDUINO 2.0 ESP

![](img/0.jpeg)

The story
--
Barduino 2.0 started as a project to have a ESP32 fabacademy compatible board to help the students develope their work on top of it.
This board was designed by Eduardo Chamorro Martin with the help of Josep Marti and Oscar Gonzalez in Fab Lab Barcelona 2020.
It is 2.0 as 1.0 already existed as an arduino atmega based alternative developed by Luciano.

Barduino 2.1 is a modification of the board to integrate an on board FTDI connection to communicate throughout microUSB. 


What is Barduino 2.0?
--

Barduino 2.0 is a **100% Arduino IDE  and libraries compatible**, fabbable and open source board based on Neil´s work on the [Esp32 board](http://academy.cba.mit.edu/classes/embedded_programming/index.html#echo).

![](img/Barduino2.0-Pinout.png)

Main **improvements and features** over Neil´s version are:

- Realigned components
- Thicker traces to support bigger current draws
- 100% compatible with **default Arduino IDE**
- Led on the power line
- Programable led on GPIO13 to test sketches
- larger space to easy soldering (laser and cnc)
- All the ESP32 pins are available.
- Fits as one file in the small pcb size used along fabacademy (not mandatory to do outcut as it used the full board)


### B.O.M

*All the components are standart fabacademy inventory*
 - 1 x [WIFI MODULE 32MBITS SPI FLASH](https://www.digikey.es/products/en?keywords=1904-1023-1-ND)
 - 1 x [RES 10.0K OHM 1/4W 1% 1206 SMD](https://www.digikey.com/products/en?keywords=311-10.0KFRCT-ND)
 - 1x [SWITCH TACT SMD W-GND 160GF](https://www.digikey.com/product-detail/en/B3SN-3112P/SW262CT-ND)
 - 2 x[ CAP CER 10UF 35V Y5V 1206](https://www.digikey.com/product-detail/en/B3SN-3112P/SW262CT-ND)
 - 1 x [ IC REG LDO 3.3V 1A SOT223-3](https://www.digikey.es/products/en?keywords=ZLDO1117G33DICT-ND)
 - 2 x [LED RED CLEAR 1206 SMD](www.digikey.com/products/en?keywords=160-1167-1-ND)
 - 2 x [RES 100 OHM 1/4W 1% 1206 SMD](https://www.digikey.com/products/en?keywords=311-100FRCT-ND)
 - 1 x [SWITCH SLIDE SPDT 12V 100MA GW-](https://www.digikey.es/products/en?keywords=401-2012-1-ND)
 - 1 x [ CAP CERAMIC .1UF 250V X7R 1206](www.digikey.com/products/en?keywords=399-4674-1-ND%09)

 ![](img/Barduino2.0.png)

### What you will find in this repo.

- Eagle Design Files + fab library + esp32 library + Design Rules
- Kicad Design Files
- Png files for producing the board
- Diagrams of the pinouts
- Diagrams of connections
- Libraries install for arduino

*PCB CUT RESUL*

![](img/2.jpg)

*Soldered board without outcut*

![](img/1.jpg)

**FootPrints**

Traces-1
![](productionfiles/ESP32-Traces.png)

Traces-2 *Required to mill the copper under the antenna*
![](productionfiles/ESP32-Antena.png)

Interior-Holes
![](productionfiles/ESP32-Holes.png)

Interior-Outcut
![](productionfiles/ESP32-Outline.png)

**Downloads** *Right click - save as*

- [Eagle Sch](BarDuino2.0-EagleFiles/BarDuino2.0.sch)
- [Eagle brd](BarDuino2.0-EagleFiles/BarDuino2.0.brd)
- [Eagle libraries ESP32](BarDuino2.0-EagleFiles/LibrariesRequired/esp32.lbr)
- [Eagle libraries Fab.lbr](BarDuino2.0-EagleFiles/LibrariesRequired/fab.lbr)
- [Eagle Design Rules Check](BarDuino2.0-EagleFiles/FabAcademyDesignRulesCheck/fabmodule.dru)

- [Kicad Sch](BarDuino2.0-KicadFiles/esp32.sch)
- [Kicad brd](BarDuino2.0-KicadFiles/esp32.pro)
- [Kicad libraries ESP32](BarDuino2.0-KicadFiles/esp32.kicad_pcb)

**Other References**

Esp32 IC pinout
![](img/esp32-pinout-chip-ESP-WROOM-32.png)

Original Neil´s Design
![](img/hello.ESP32-WROOM.png)


### Arduino ESP32 LibrariesRequired

```

http://arduino.esp8266.com/stable/package_esp8266com_index.json
https://raw.githubusercontent.com/espressif/arduino-esp32/gh-pages/package_esp32_index.json
https://dl.espressif.com/dl/package_esp32_index.json

```

### Barduino 2.1

This board integrates the FTDI connection allowing the user to connect the board throughout a microUSB cable. 

![](img/Barduino2.1.jpg)

**FootPrints**

Traces-1
![](productionfilesBarduino2.1/Barduino2.1-Traces.png)

Traces-2 *Required to mill the copper under the antenna*
![](productionfilesBarduino2.1/Barduino2.1-Antena.png)

Interior-Holes
![](productionfilesBarduino2.1/Barduino2.1-Holes.png)

Interior-Outcut
![](productionfilesBarduino2.1/Barduino2.1-Outline.png)

**Downloads** *Right click - save as*

- [Kicad Sch](BarDuino2.1-KicadFiles/Barduino2.1.sch)
- [Kicad brd](BarDuino2.1-KicadFiles/Barduino2.1.pro)
- [Kicad libraries ESP32](BarDuino2.1-KicadFiles/Barduino2.1.kicad_pcb)


### Contact

- **eduardo.chamorro@iaac.net**

Thanks

### License
--
This work is licensed under the terms of Creative Commons Attribution-NonCommercial 4.0 International Public License

![](img/by-nc-license-image.png)

##### Disclaimer

<div class="align-justify">
This hardware/software is provided "as is", and you use the hardware/software at your own risk. Under no circumstances shall any author be liable for direct, indirect, special, incidental, or consequential damages resulting from the use, misuse, or inability to use this hardware/software, even if the authors have been advised of the possibility of such damages.</div>
